zip-2.2.1: Operations on zip archives

Copyright | © 2016–present Mark Karpov
License | BSD 3 clause
Maintainer | Mark Karpov <markkarpov92@gmail.com>
Stability | experimental
Portability | portable
Safe Haskell | None
Language | GHC2021

Codec.Archive.Zip.Unix

Description

Unix-specific functionality of zip archives.

Since: 1.4.0

Synopsis

- toFileMode :: Word32 -> CMode
- fromFileMode :: CMode -> Word32

# Documentation

toFileMode :: Word32 -> CMode Source #

Convert external attributes to the file info.

    >>> toFileMode 2179792896
    0o0755

Since: 1.4.0

fromFileMode :: CMode -> Word32 Source #

Convert external attributes to the file info. The function assumes a regular file and keeps DOS attributes untouched.

    >>> fromFileMode 0o0755
    2179792896

Since: 1.4.0